#!/usr/bin/env bash
set -Eeuo pipefail
cd "$(dirname "${BASH_SOURCE[0]}")"
cd ../

# shellcheck disable=2046
if grep -R FIXME $(git ls-files) | grep -v '^TODOs.org' | grep -v '^.git/' | grep -v '^scripts/assert-todos.sh'; then
  echo "Found dangling FIXME markers on the project."
  echo "You should write them down properly on TODOs.org."
  exit 1
fi
